Package it.ernytech.tdlib

## Class TdApi.ImportedContacts

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ImportedContacts

Enclosing class:
  TdApi

    public static class TdApi.ImportedContacts
    extends TdApi.Object

Represents the result of an ImportContacts request.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int[]` `importerCount` The number of users that imported the corresponding contact; 0 for already registered users or if unavailable.
`int[]` `userIds` User identifiers of the imported contacts in the same order as they were specified in the request; 0 if the contact is not yet a registered user.

### Constructor Summary

Constructors
`ImportedContacts()` Default constructor.
`ImportedContacts​(int[] userIds, int[] importerCount)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### userIds

    public int[] userIds

User identifiers of the imported contacts in the same order as they were specified in the request; 0 if the contact is not yet a registered user.

#### importerCount

    public int[] importerCount

The number of users that imported the corresponding contact; 0 for already registered users or if unavailable.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ImportedContacts

    public ImportedContacts()

Default constructor.

#### ImportedContacts

    public ImportedContacts​(int[] userIds,
                            int[] importerCount)

Constructor for initialization of all fields.

Parameters:
  `userIds` - User identifiers of the imported contacts in the same order as they were specified in the request; 0 if the contact is not yet a registered user.
  `importerCount` - The number of users that imported the corresponding contact; 0 for already registered users or if unavailable.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR